import httpClient from "@/services/httpClient";
import type { DuplicateCheckResponse , DuplicateCheckRequest} from "@/types/report.types";
import type { Response } from "@/types/response.types";
import * as urlHelper from "@/libs/url.lib"

const _url = urlHelper.withPrefix('/gw/user/duplicateCheck');

export async function duplicateCheck(duplicateCheckRequest: DuplicateCheckRequest){
  const resp = await httpClient.post<Response<DuplicateCheckResponse>>(_url(), duplicateCheckRequest);
  return resp.data.data;
}
